<template>
  <span :class="`mt-pourcentage ${couleurArrondi()}`"> {{ pourcentage.toFixed(2) }} %</span>
</template>

<script>
export default {
  name: 'MtStatDispo',
  props: {
    pourcentage: {
      type: Number,
      required: true,
      default: 0,
    },
  },
  methods: {
    couleurArrondi() {
      if (this.pourcentage < 25) {
        return 'mt-pourcentage-red';
      }
      if (this.pourcentage < 50) {
        return 'mt-pourcentage-orange';
      }
      if (this.pourcentage < 75) {
        return 'mt-pourcentage-yellow';
      }

      return 'mt-pourcentage-green';
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.mt-pourcentage {
  display: inline-flex;
  color: white;
  border-radius: 2em;
  padding: 0.2em 0.7em;

  &-red {
    background-color: $red;
  }
  &-orange {
    background-color: $orange;
  }
  &-yellow {
    background-color: $yellow;
  }
  &-green {
    background-color: $green;
  }
}
</style>
